package com.mvc.model.external;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class AuthModel {

    private String accessToken;
    private String refreshToken;
    private String expiresTime;

    /**
     * 是否过期
     */
    @JsonIgnore
    private Integer expiredFlag;

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getExpiresTime() {
        return expiresTime;
    }

    public void setExpiresTime(String expiresTime) {
        this.expiresTime = expiresTime;
    }

    public Integer getExpiredFlag() {
        return expiredFlag;
    }

    public void setExpiredFlag(Integer expiredFlag) {
        this.expiredFlag = expiredFlag;
    }
}
